# KSpigotRunnable

abstract class KSpigotRunnable(counterUp: Long?, counterDownToOne: Long?, counterDownToZero: Long?) : BukkitRunnable
Content copied to clipboard

## Functions

cancel
Link copied to clipboard
open fun cancel()
Content copied to clipboard
getTaskId
Link copied to clipboard
open fun getTaskId(): Int
Content copied to clipboard
isCancelled
Link copied to clipboard
open fun isCancelled(): Boolean
Content copied to clipboard
run
Link copied to clipboard
abstract fun run()
Content copied to clipboard
runTask
Link copied to clipboard
@NotNull()
open fun runTask(@NotNull() p0: Plugin): BukkitTask
Content copied to clipboard
runTaskAsynchronously
Link copied to clipboard
@NotNull()
open fun runTaskAsynchronously(@NotNull() p0: Plugin): BukkitTask
Content copied to clipboard
runTaskLater
Link copied to clipboard
@NotNull()
open fun runTaskLater(@NotNull() p0: Plugin, p1: Long): BukkitTask
Content copied to clipboard
runTaskLaterAsynchronously
Link copied to clipboard
@NotNull()
open fun runTaskLaterAsynchronously(@NotNull() p0: Plugin, p1: Long): BukkitTask
Content copied to clipboard
runTaskTimer
Link copied to clipboard
@NotNull()
open fun runTaskTimer(@NotNull() p0: Plugin, p1: Long, p2: Long): BukkitTask
Content copied to clipboard
runTaskTimerAsynchronously
Link copied to clipboard
@NotNull()
open fun runTaskTimerAsynchronously(@NotNull() p0: Plugin, p1: Long, p2: Long): BukkitTask
Content copied to clipboard

## Properties

counterDownToOne
Link copied to clipboard
var counterDownToOne: Long? = null
Content copied to clipboard
counterDownToZero
Link copied to clipboard
var counterDownToZero: Long? = null
Content copied to clipboard
counterUp
Link copied to clipboard
var counterUp: Long? = null
Content copied to clipboard